## actionmanagerdaemon 0.1

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (c) 2007-2008 INdT, (c) 2009 Nokia.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/actionmanagerdaemon
pkglibdir = $(libdir)/actionmanagerdaemon
pkgincludedir = $(includedir)/actionmanagerdaemon
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure COPYING COPYING.LESSER compile \
	config.guess config.sub depcomp install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run aclocal-1.8
ACTIONMANAGERDAEMON_LOCALEDIR = ${datarootdir}/locale
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run tar
AUTOCONF = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoconf
AUTOHEADER = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoheader
AUTOMAKE = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run automake-1.8
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wall -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBOSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
LIBOSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
LIBS = 
LIBXML2PP_CFLAGS = 
LIBXML2PP_LIBS = 
LIBXMLPP_CFLAGS = -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LIBXMLPP_LIBS = -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run makeinfo
OBJEXT = o
PACKAGE = actionmanagerdaemon
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ActionManagerDaemon
PACKAGE_STRING = ActionManagerDaemon 0.1
PACKAGE_TARNAME = actionmanagerdaemon
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1
ac_ct_CXX = g++
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign
SUBDIRS = src
INTLTOOL_FILES = intltool-extract.in \
                 intltool-merge.in \
                 intltool-update.in

EXTRA_DIST = $(INTLTOOL_FILES) \
        debian/changelog \
        debian/control \
        debian/copyright \
		debian/compat \
        debian/rules \
		src/* \
		src/Actions/*

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in: # $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \

=== src/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (c) 2007-2008 INdT.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

SOURCES = $(actionmanagerdaemon_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/actionmanagerdaemon
pkglibdir = $(libdir)/actionmanagerdaemon
pkgincludedir = $(includedir)/actionmanagerdaemon
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
bin_PROGRAMS = actionmanagerdaemon$(EXEEXT)
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_actionmanagerdaemon_OBJECTS = actionmanagerdaemon-main.$(OBJEXT) \
	actionmanagerdaemon-MediaPlayerPause.$(OBJEXT) \
	actionmanagerdaemon-MediaPlayerPlay.$(OBJEXT) \
	actionmanagerdaemon-Headphone.$(OBJEXT) \
	actionmanagerdaemon-ActionManagerDaemon.$(OBJEXT) \
	actionmanagerdaemon-Action.$(OBJEXT) \
	actionmanagerdaemon-Trigger.$(OBJEXT) \
	actionmanagerdaemon-TriggerContainer.$(OBJEXT)
actionmanagerdaemon_OBJECTS = $(am_actionmanagerdaemon_OBJECTS)
am__DEPENDENCIES_1 =
actionmanagerdaemon_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/actionmanagerdaemon-Action.Po \
	./$(DEPDIR)/actionmanagerdaemon-ActionManagerDaemon.Po \
	./$(DEPDIR)/actionmanagerdaemon-Headphone.Po \
	./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPause.Po \
	./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPlay.Po \
	./$(DEPDIR)/actionmanagerdaemon-Trigger.Po \
	./$(DEPDIR)/actionmanagerdaemon-TriggerContainer.Po \
	./$(DEPDIR)/actionmanagerdaemon-main.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(actionmanagerdaemon_SOURCES)
DIST_SOURCES = $(actionmanagerdaemon_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run aclocal-1.8
ACTIONMANAGERDAEMON_LOCALEDIR = ${datarootdir}/locale
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run tar
AUTOCONF = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoconf
AUTOHEADER = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoheader
AUTOMAKE = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run automake-1.8
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wall -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBOSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
LIBOSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
LIBS = 
LIBXML2PP_CFLAGS = 
LIBXML2PP_LIBS = 
LIBXMLPP_CFLAGS = -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LIBXMLPP_LIBS = -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run makeinfo
OBJEXT = o
PACKAGE = actionmanagerdaemon
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ActionManagerDaemon
PACKAGE_STRING = ActionManagerDaemon 0.1
PACKAGE_TARNAME = actionmanagerdaemon
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1
ac_ct_CXX = g++
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign
actionmanagerdaemon_SOURCES = main.cpp \
                     Actions/MediaPlayerPause.cpp \
                     Actions/MediaPlayerPause.h \
                     Actions/MediaPlayerPlay.cpp \
                     Actions/MediaPlayerPlay.h \
                     TriggerContainers/Containers.h \
                     TriggerContainers/Headphone.cpp \
                     TriggerContainers/Headphone.h \
                     osso_context.h \
                     ActionManagerDaemon.cpp \
                     ActionManagerDaemon.h \
                     Action.cpp \
                     Action.h \
                     Trigger.cpp \
                     Trigger.h \
                     TriggerContainer.cpp \
                     TriggerContainer.h

actionmanagerdaemon_LDADD = $(LIBOSSO_LIBS) $(LIBXMLPP_LIBS)
actionmanagerdaemon_CXXFLAGS = $(LIBOSSO_CFLAGS) $(LIBXMLPP_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
actionmanagerdaemon_CFLAGS = $(LIBOSSO_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
actionmanagerdaemon$(EXEEXT): $(actionmanagerdaemon_OBJECTS) $(actionmanagerdaemon_DEPENDENCIES) 
	@rm -f actionmanagerdaemon$(EXEEXT)
	$(CXXLINK) $(actionmanagerdaemon_LDFLAGS) $(actionmanagerdaemon_OBJECTS) $(actionmanagerdaemon_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/actionmanagerdaemon-Action.Po
include ./$(DEPDIR)/actionmanagerdaemon-ActionManagerDaemon.Po
include ./$(DEPDIR)/actionmanagerdaemon-Headphone.Po
include ./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPause.Po
include ./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPlay.Po
include ./$(DEPDIR)/actionmanagerdaemon-Trigger.Po
include ./$(DEPDIR)/actionmanagerdaemon-TriggerContainer.Po
include ./$(DEPDIR)/actionmanagerdaemon-main.Po

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

actionmanagerdaemon-main.o: main.cpp

=== debian/changelog ===
actionmanagerdaemon (0.1) unstable; urgency=low

  * Initial release, Contains only play/pause of mediaplayer when plugin/pullout headphones

 -- Joost Kop <>  Thu,  14 Jan 2009 21:00:00 -0000

=== debian/control ===
Source: actionmanagerdaemon
Section: user/system
Priority: extra
Maintainer: Joost Kop <joost.kop@gmail.com>
Build-Depends: debhelper (>= 5), libosso-dev ( >= 2.21 ), libglib2.0-dev, libdbus-1-dev, libxml++2.6-dev
Standards-Version: 3.7.2

Package: actionmanagerdaemon
Architecture: any
Depends: ${shlibs:Depends}
Description: The ActionManager lets a user select an action to a (system) trigger. Eg.: A trigger like headphone plugin/pullout or battery fully charged to an action like MediaPlayer Pause/Play, selecting a (system)profile.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CXXFLAGS = $(CFLAGS)

configure: configure-stamp
configure-stamp:
	test -e ./configure || ./autogen.sh 
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/actionmanagerdaemon.sgml > actionmanagerdaemon.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/actionmanagerdaemon.
	$(MAKE) DESTDIR=$(CURDIR)/debian/actionmanagerdaemon install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install	debian/actionmanagerd /etc/event.d/
	dh_install	data/actionmanager.xml /home/user/.actionmanager/
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## actionmanagerdaemon 0.2

=== Makefile ===
--- 
+++ 
@@ -93,6 +93,9 @@
 AUTOHEADER = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run automake-1.8
 AWK = gawk
+CC = gcc
+CCDEPMODE = depmode=gcc3
+CFLAGS = -Wall -g -O2
 CPPFLAGS = 
 CXX = g++
 CXXDEPMODE = depmode=gcc3
@@ -126,16 +129,19 @@
 PACKAGE = actionmanagerdaemon
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = ActionManagerDaemon
-PACKAGE_STRING = ActionManagerDaemon 0.1
+PACKAGE_STRING = ActionManagerDaemon 0.2
 PACKAGE_TARNAME = actionmanagerdaemon
-PACKAGE_VERSION = 0.1
+PACKAGE_VERSION = 0.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 0.1
+VERSION = 0.2
+ac_ct_CC = gcc
 ac_ct_CXX = g++
+am__fastdepCC_FALSE = #
+am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
 am__fastdepCXX_TRUE = 
 am__include = include
@@ -345,6 +351,3 @@
 	    $$tags $$unique; \
 	fi
 ctags: CTAGS
-CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	tags=; \

=== src/Makefile ===
--- 
+++ 
@@ -65,10 +65,14 @@
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
 am_actionmanagerdaemon_OBJECTS = actionmanagerdaemon-main.$(OBJEXT) \
+	actionmanagerdaemon-Actions.$(OBJEXT) \
 	actionmanagerdaemon-MediaPlayerPause.$(OBJEXT) \
 	actionmanagerdaemon-MediaPlayerPlay.$(OBJEXT) \
+	actionmanagerdaemon-Containers.$(OBJEXT) \
 	actionmanagerdaemon-Headphone.$(OBJEXT) \
 	actionmanagerdaemon-ActionManagerDaemon.$(OBJEXT) \
+	actionmanagerdaemon-ActionManagerDBusServer.$(OBJEXT) \
+	actionmanagerdaemon-DBusServer.$(OBJEXT) \
 	actionmanagerdaemon-Action.$(OBJEXT) \
 	actionmanagerdaemon-Trigger.$(OBJEXT) \
 	actionmanagerdaemon-TriggerContainer.$(OBJEXT)
@@ -80,22 +84,26 @@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
 DEP_FILES = ./$(DEPDIR)/actionmanagerdaemon-Action.Po \
+	./$(DEPDIR)/actionmanagerdaemon-ActionManagerDBusServer.Po \
 	./$(DEPDIR)/actionmanagerdaemon-ActionManagerDaemon.Po \
+	./$(DEPDIR)/actionmanagerdaemon-Actions.Po \
+	./$(DEPDIR)/actionmanagerdaemon-Containers.Po \
+	./$(DEPDIR)/actionmanagerdaemon-DBusServer.Po \
 	./$(DEPDIR)/actionmanagerdaemon-Headphone.Po \
 	./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPause.Po \
 	./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPlay.Po \
 	./$(DEPDIR)/actionmanagerdaemon-Trigger.Po \
 	./$(DEPDIR)/actionmanagerdaemon-TriggerContainer.Po \
 	./$(DEPDIR)/actionmanagerdaemon-main.Po
+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+CCLD = $(CC)
+LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
 CXXLD = $(CXX)
 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
 	-o $@
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-CCLD = $(CC)
-LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 SOURCES = $(actionmanagerdaemon_SOURCES)
 DIST_SOURCES = $(actionmanagerdaemon_SOURCES)
 ETAGS = etags
@@ -110,6 +118,9 @@
 AUTOHEADER = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run autoheader
 AUTOMAKE = ${SHELL} /home/joost/workspace/actionmanager/trunk/ActionManagerDaemon/missing --run automake-1.8
 AWK = gawk
+CC = gcc
+CCDEPMODE = depmode=gcc3
+CFLAGS = -Wall -g -O2
 CPPFLAGS = 
 CXX = g++
 CXXDEPMODE = depmode=gcc3
@@ -143,16 +154,19 @@
 PACKAGE = actionmanagerdaemon
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = ActionManagerDaemon
-PACKAGE_STRING = ActionManagerDaemon 0.1
+PACKAGE_STRING = ActionManagerDaemon 0.2
 PACKAGE_TARNAME = actionmanagerdaemon
-PACKAGE_VERSION = 0.1
+PACKAGE_VERSION = 0.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = 
-VERSION = 0.1
+VERSION = 0.2
+ac_ct_CC = gcc
 ac_ct_CXX = g++
+am__fastdepCC_FALSE = #
+am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
 am__fastdepCXX_TRUE = 
 am__include = include
@@ -195,16 +209,25 @@
 target_alias = 
 AUTOMAKE_OPTIONS = foreign
 actionmanagerdaemon_SOURCES = main.cpp \
+                     Actions/Actions.cpp \
+                     Actions/Actions.h \
                      Actions/MediaPlayerPause.cpp \
                      Actions/MediaPlayerPause.h \
                      Actions/MediaPlayerPlay.cpp \
                      Actions/MediaPlayerPlay.h \
+                     TriggerContainers/Containers.cpp \
                      TriggerContainers/Containers.h \
                      TriggerContainers/Headphone.cpp \
                      TriggerContainers/Headphone.h \
                      osso_context.h \
                      ActionManagerDaemon.cpp \
                      ActionManagerDaemon.h \
+                     dbus/ActionManagerDBusServer.cpp \
+                     dbus/ActionManagerDBusServer.h \
+                     dbus/DBusServer.c \
+                     dbus/DBusServer.h \
+                     dbus/ActionManager-server-dbus.h \
+                     dbus/dbus-common.h \
                      Action.cpp \
                      Action.h \
                      Trigger.cpp \
@@ -214,11 +237,11 @@
 
 actionmanagerdaemon_LDADD = $(LIBOSSO_LIBS) $(LIBXMLPP_LIBS)
 actionmanagerdaemon_CXXFLAGS = $(LIBOSSO_CFLAGS) $(LIBXMLPP_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
-actionmanagerdaemon_CFLAGS = $(LIBOSSO_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
+actionmanagerdaemon_CFLAGS = $(LIBOSSO_CFLAGS) $(LIBXMLPP_CFLAGS) -DACTIONMANAGERDAEMON_LOCALEDIR=\"${ACTIONMANAGERDAEMON_LOCALEDIR}\"
 all: all-am
 
 .SUFFIXES:
-.SUFFIXES: .cpp .o .obj
+.SUFFIXES: .c .cpp .o .obj
 $(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
@@ -282,28 +305,6 @@
 	-rm -f *.tab.c
 
 include ./$(DEPDIR)/actionmanagerdaemon-Action.Po
+include ./$(DEPDIR)/actionmanagerdaemon-ActionManagerDBusServer.Po
 include ./$(DEPDIR)/actionmanagerdaemon-ActionManagerDaemon.Po
-include ./$(DEPDIR)/actionmanagerdaemon-Headphone.Po
-include ./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPause.Po
-include ./$(DEPDIR)/actionmanagerdaemon-MediaPlayerPlay.Po
-include ./$(DEPDIR)/actionmanagerdaemon-Trigger.Po
-include ./$(DEPDIR)/actionmanagerdaemon-TriggerContainer.Po
-include ./$(DEPDIR)/actionmanagerdaemon-main.Po
-
-.cpp.o:
-	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-#	source='$<' object='$@' libtool=no \
-#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
-#	$(CXXDEPMODE) $(depcomp) \
-#	$(CXXCOMPILE) -c -o $@ $<
-
-.cpp.obj:
-	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
-	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-#	source='$<' object='$@' libtool=no \
-#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
-#	$(CXXDEPMODE) $(depcomp) \
-#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-actionmanagerdaemon-main.o: main.cpp
+include ./$(DEPDIR)/actionmanagerdaemon-Actions.Po

=== debian/changelog ===
actionmanagerdaemon (0.2) unstable; urgency=low

  * Added dbus-server (for communication with ActionManager (UI) )

 -- Joost Kop <joost.kop@gmail.com>  Thu,  4 feb 2010 21:00:00 -0000

=== debian/control ===
Source: actionmanagerdaemon
Section: user/system
Priority: extra
Maintainer: Joost Kop <joost.kop@gmail.com>
Build-Depends: debhelper (>= 5), libosso-dev ( >= 2.21 ), libglib2.0-dev, libdbus-1-dev, libxml++2.6-dev
Standards-Version: 3.7.2

Package: actionmanagerdaemon
Architecture: any
Depends: ${shlibs:Depends}
Replaces: actionmanagerdaemon (<=0.1)
Description: The ActionManager(Daemon) lets a user select an action to a (system) trigger. 
	This package contains the daemon part of the actionmanager. The settings can be 
	changed by using the actionmanager(UI).
XB-Maemo-Display-Name: ActionManager(Daemon)
#XB-Maemo-Upgrade-Description:
XB-Maemo-Icon-26:
	iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
	6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAD8NJ
	REFUaN7FmXlwVNeVxn/33ve61epWowUJBEhIQoBYjMECx9gYYwcC2OMkxDHe
	8IIDk32KTJLJJFWTpKYy46Qyf8ykKskkEzuTTFJxPIm3AI7NIsAGL2D2fRFm
	FQIkoZbUUvd79575oyXANgQZx56nklpVXX373nO/833fOUeJCB/uI4C66BVE
	BKXUVa2mP+zN5+IlBEHI448/IYsWLZa+zV9VMEXkQ/l1TnC9///0Zz+TmuoR
	Mri8UoYMrZJDhxrFOXtV63ofeMx74aEUbN+5S1o7Msy6425KBg9nzepVrGtY
	w+rVa1m06JGrWl/9NXPgAqrfjuuTJ0/K0888yy2zP07oBJwhsAFvNTbSfuo4
	jy68X2mjry4P/qpQcQ7XCxcRIQyyLFnyVamsqJEh5dUyZNgIqayolSd+85z8
	y/f/XVpaWv/WOouIwzn3/wsh6f2rUGSCbjZt2SXprKKsopqK6hq2b9lCVc1I
	Zs6axaRxVSx84OOq74PC1bPQ+4aQ5BYBpUBg3fr1YlWcgeXD6OjowPc9PM9n
	5QtLmTi+llkfnZH7TgUK9b4Dd9UH6PucUiCiOHLkqNw1/z5OHm8i053h4cWP
	sPCzS3hx2VISeYpFCx9UnqevOtKXe94XhJRSHD12XPY3HuOnP/lP9uzeS0lx
	KV5Cs3v7PlYtf5aH7/kkZYNK1QclmO9p4YuZpTud5vCJM3LibDuRvDiJeIJE
	fox/+9fvUVUxjHnz5jK2bqR6F8w+CJ6+Mrtc+D+dTvPLX/5aBhQPlrvvfVRW
	rN8ua9/cL6vf2Ctf+fp3ZN269XJBvN7JLO4dr+8Uuz426j8jXfYGLo52H7+v
	WNUg9937AGDIy09gtEJpxYwZc5h/9yxm3narikSi9CUpwiUwf7Fa8L690F+E
	UN/CW7btlCOn24nmJcnPz2f/3l288fprHDtwkAUP3sPtc2/9bHFR8c/74YRQ
	wtugdObM2U1Oe/VhCI0H9/HVJUtoWLNSxePx92/mdu/aLXfc+SnZsHkfQQDG
	06S7UnR2dVMci/HEL37EgvvvUsVFRT8XERAh9/PuJ7SWbDakqyfDc88tk49+
	7BMysm6SZFVefUsqIBS4974HOdT4Fnv37pOrYqG+iKfaU9x3/wOypmEdkUge
	r736GpnuLGOumcDoMeP4p28uYdTi+eqCw3SAQpTuTdYcTI4cOSYvrVjN2dY2
	7rr/IVwonDp2gK9/87so4OGHH6G9o4uoH+WZPz5FPD+B2JA9e/dy3XWT+gWr
	tx3AWseXv/x38uSTT9HTkyEaiSI44olCbrzper72tS8wbeoUZTzvHdEVXt3w
	qgypqEKUD0pYcN8COrrSxKIRnlv+PO2pHmIxj4ceepRYfpyioiIGl5fxz9/+
	Nqn2Ng4dbMSKQ2nD5je3suCB+/t/A845vvXNb8mPf/JzakdW40KHZzy0Nowc
	PZbFn1nIosULFCha2tq+H1r5RiZrOXTwAN/9zvfYf+Agn/jEPL7490sQZ9mz
	cxvZTBaxIZ/73Bc4dqyJphNHeerJ3xNPJAFoazvHY4/9EN/zsM4izhEEAQrF
	pk1v9ju5VR/VLV68WJ55ZhmJeJxMJgsK5t01n298/cs0NKxh2Qsvsa5hDc+u
	fAURiER8PnXnXIoKCylIFPDH55/hVNNpEokYM268hbKyUkRBR2cHWCGeSCAI
	1uZ8v7MWZx2hzeaMXxjm3rMhHR0pujpbVH8O4fW9OWToMESEVHs7fjRGxPf4
	8/LlPPPHPxCEFmcDvvSVfwQBzxh2bNnIgEQBQRAwclQtCx98iNaWNsQ6Bg0q
	Q5TCoEgmBoDKcXzum8x5fcAJShmsC3OMohRWBKMNL697WabdPE1d6QbOg7l2
	RA3Ohiz+/Jf47a9+xcjR42g9ewqnFAW+T2npQGbOmUXDqhU0Hz/C0mUvkBeN
	4nk+mza+SSQSPR8ppc0FpnSCUhqlBGvfbpuVyimCEoUIWOcQAaM1L720kpun
	33zFGzivA2vXrpF77lnAubYU8YIClCi00YBBxBGEWYIgoKSsDD+Sj+95GKPw
	PL93g6CVRmmdi670Gj6VY6jz0OlVW2st1jpsGGCdxQYW6wJcECDOcs2EMaxa
	9dIVb+C8DowdO+7NUaNGoJSQ6e4iG3STzfZgbRalHLF4nJLSMhQeGgFnCa2l
	I9VBwYAB3HzL7QwcXI6EF8m8VoDmnVqZKzEViENcLh+sDdDWgVhQwtmzLb30
	3A8WEhFKS0snf/rTd8mG9a+hTAwNKGXQ2hAGIY4AbTyMttww9aOUDquio/U0
	g4ZUMqyyklUvPYcNApy2KDTk9oeg6DtB32075xDncrekFOIc3d1perq6qBk1
	mtMnj9N0shml9JWTuC8iAFVVVcTyY1gLYRhSUV2HVobyiioiEY85d95La0sT
	zz71P0wtLmXNqheIJeKkO9IkEknQgsYgWJTSQC6CVsLzNijTk8GJJZksIl6Q
	JMj0kEwmGTR0GBHj0XhoDydPHMVlQrZu3SKTJl2n+u2Ftm3bKnPn/A1t7Sl6
	urv47g9/zSur/0QinmTPnq2cOnmERLyYWCwf7WuUNvieh9YarTU4QRQoMSgt
	OFGIsmR6evA9j7px9YwYVYtzsHXTq+zY8gY2CPAi+SAOF2ZwKGwYEARZPv/5
	z/CDH3y/fwcQEZqbm2X27DkcPHQEpRS+iaK0QWuL8fPx/Qh4hqjnIaEldCH5
	iQJqRo4hlpfHmPHX8vzTv+f6qdMpLS3l9Olm3jp0gNS5s2gTIZPtJp1O40IL
	Cqy1hDaLCwXnQlxocWFIEAYohIKCOEePNap+0ahSipKSElVeXi77DzTiGQ8n
	AcpCJhOS59LEE0niyQQDCgoZM/F6mo4eprp2JKlUirPNTezdvZlEPMHrGxro
	6kwT8Q1+L72KZHHWopVBaUUQBqS7ushmuikrr2R41QiQkNAGnG0+xfEjjaRS
	KVKpFMlksn9eyPd9amtrWbduPU6EaDSfUeMmMHrsFHzPI7SWro6zhE6xcf2L
	tJ/pZPf21/H9BL5vcBfxen4shpCjTGctguB7ETxfEQSOocOrGD9hMn4sxo5N
	r7C+YRk2DIjFkhijUSiMMZw82SQFBQWXpdN31cR1daNztYhzeEZxtPEA+3Zu
	xTlLxERAexit0RGDb6I44xNKiAodyhh6BZZsJo0NAmrrruG6G6bh+z57dmxj
	/85NdPdkONqY5uC+nYTWgkBBshjrQsTmfJFoh4Rw+PBb1NWN7n9RP2HCBJRW
	SOhoP9eKNgZP52F8L6ekQQ/dYomToPaaCQwqH86RQ7sJg5ARo+rQWpNqayHd
	3Y32DB3trTz9218QOkfE91BiQOvcxlEYrbHWglhcEJLuPAeeRyJeQEiGFStW
	Mnfu7P4foKKiggEDBtBythWFxooQjWiSBUmisXwqqsfg+YYx4+tpaW6mu7uN
	bKaLwqIS1q5aijhHLJHENxqRnJAp4xM1ueaulZxpCzM9gCJZXEJeJIKgGDxs
	KOVDalBYVi79A51BwOpVq99bSdne3s706TNkz+59ICGPfvGfOX3mOIMrqmjc
	tY3d2zeRSp3B0zFMxKA9H6U1RhmUBq0M0qu0SvXVvwoRIdvdhdYe19TfwPhr
	P0KQ7eTV9SvYs2UbnlGYSB4Q9t6IArG0t7cT2p7LatnbDiAiZLNZ7r57vixf
	9iKe8YjmxwitRcIQjME3EbRRaDyM9tCeAu3ljJnShEEP3d0ZCouLGT/pBiqr
	a0h3dNJ4YCdtrS2gNT1dXXR1pRDnMGLIht05CpWAwpJBdJ47h+hcMqXTaf78
	4lJmzLhFXRFCSil836eysgKdoxOCTKb3zRwzZHo6yY8XUlhaxrnWZsqHjaan
	q52SgYMRrSgoKCQ/UUB7eyv7drzOK6uXkReLEYnkoRW43oB5no+zITfddgeD
	h1TRkWoBJTSfOMzG9WsYXTeJvbs2E41GWbf2ZW65ZfolLcW7ckBrTV1dHZFo
	lDDMucZoXpySsjKCnh6mzfoktWMns6HhD3z87s+wYe1zHNzdyJH9u4kmCohE
	Y2gTQTuLGENBshCtIFk0kNYzJ9HGnO9ki3N4nmXlst9gs5aJN85gQv10iosG
	8eKffoeIYIxhx84dXDzFufggl2yrrFy5Uu6Zfy9dHWlELPcs+gZ7dr1G++lT
	NJ8+Bdbiek1aTpg0pm9jItSOuZZR466lfFgtB3e9we13LeSVhmf53S9+zOCh
	w7nuplsZXTeeI4f3s3HDKjrPtWKMn3O/QdgrfHLetVZVV7J580Z1KWN3yQOc
	OHFCpn5kKk2nmjHKIxum8VQU5Sk845MNMmhPU1lVR9OJIxileyGo6exo5475
	j9DW0kRp6XB01Od44z6CIEMiUUh3RxczZt/Jfzz2D+TnJ/F9P1cniMM5Acni
	3AXLLeIIw5COzrZLlpiXbO6WlJSoQeWDpenkKawO8Lx8RAIqqsbR3tbMzdPm
	U11dR2HJIH702JfILyjCj0SI5MW4YcZskskSJFSsb3ies6dOEs1PEsvLQ2mN
	QsiGaYaPHEPr6ZO5Kkw7tLhe96pRKqfgfaMpay0NDavl1ltvU/1qbOXl5VFZ
	WYGlrwQMcDZgcHk1gwZX8GrDUvbv3ULLmSZu/9SjoEI+MmMuR9/az4bVy3n+
	yf9i3YqnSafTJAaUEIlEcxpgLc4Ju7dvpKR4YK6UdAHK5qJ/YV6gektSAQTj
	aR5//In+CVnfFdXV1SHyNNr4DCwt59rrb+PwoZ10daYoGJBk47rlrH3x9yjl
	4WxILC+OwRFai9K56GkUoiQ3tzE6V7Q7MKIxxiMMgwu9pTAkCLIIQm3tCOrr
	r+PGG6cybtxYqqurGTJkyCXh7l2q5w9QU1ON1h7OOU6dOsap5/8bhcYz3nlx
	MtpDaQ8N7N+zGd+PEoYhOI1FUNoj11UXsIJVgCi0ZzjcuA/fVwyrGE5NTTUT
	JoxnypQpTJ5c/78DBw6cf7l5RL8HHCNG1JIsiNPe0YVSppdxNM6583QrArhc
	N23HppeJRPIIw+A8fp0Lcwc1Bt/3yYtFqRs9ihm3zmD2xz7GmLFjVCKRuOTk
	531NaESEYcOGUVhURHuqCxB0bkqB9LbN+6DmXJijUKcJbUA2m8W6kLKyQUyf
	fjMzZ86kvr6eoUOHUFRUrCIRP1e9XaLb3rfme2m3XzYHhg4dqsrKyuTY0eM4
	Aac4X5wrIOxtRvlehOqaKsaPH8+kSROZOHEiY8eNo6KiQhljLrn22zao3g2R
	9zIruGQOiAixWIyamho2vrEx19cH4vEEhQMGUFk5nGk338TMWTOZMuX6EYWF
	hY2XGwJeCsN/zUGf95cmM2PHjqV+cj3z5s1jzpw5VFRUvFlYWDjZGHOht/PO
	6YvkyjL1QczD3uuEJpPJEI1GLzNe/XA2eKXn/wDfaDdUF0VmIQAAAABJRU5E
	rkJggg==
	====

=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 	dh_installdocs
 	dh_installexamples
 	dh_install	debian/actionmanagerd /etc/event.d/
-	dh_install	data/actionmanager.xml /home/user/.actionmanager/
+#	dh_install	data/actionmanager.xml /home/user/.actionmanager/
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
